.collections-section{
    /* margin: 3rem 5rem; */
    margin: 3rem 0;
    display: flex;
}
.collections-section .collections-section-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}
.collections-section .collections-section-container h2{
    font-size: var(--heading-size-medium);
    text-align: center;
}
.collections-section .collections-section-container .collections-card-container{
    display: flex;
    flex-wrap: wrap;
    /* gap: 1rem; */
}
.collections-section .collections-section-container .collections-card-container .collections-card{
    gap: 1rem;
    min-width: calc(50% - 1rem);
    display: flex;
    flex: 1;
    overflow: hidden;
    /* border-radius: 10px; */
    position: relative;
}
.collections-section .collections-section-container .collections-card-container .collections-card .image-container{
    width: 100%;
    aspect-ratio: 3/2;
    overflow: hidden;
}
.collections-section .collections-section-container .collections-card-container .collections-card .image-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
/* .collections-section .collections-section-container .collections-card-container .collections-card .collections-details{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.9), rgba(0,0,0,0.3));
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    color: var(--secondary-color);
    padding: 1rem;
    padding-bottom: 2rem;
    text-align: center;

} */
.collections-section .collections-section-container .collections-card-container .collections-card .collections-details{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.9), rgba(0,0,0,0.3));
    display: flex;
    flex-direction: column;
    color: var(--secondary-color);
    gap: 1rem;
    padding: 5rem;
    border: 1px solid var(--primary-color);

}
.collections-section .collections-section-container .collections-card-container .collections-card .collections-details h3{
    font-weight: var(--font-weight-bold);

}
.collections-section .collections-section-container .collections-card-container .collections-card .collections-details p{
    font-size: var(--secondary-color);

}
.collections-section .collections-section-container .collections-card-container .collections-card .collections-details a{
    color: var(--secondary-color);
    text-transform: uppercase;
    width: fit-content;
    font-weight: var(--font-weight-bold);
    font-size: var(--secondary-color);

}
.collections-section .collections-section-container .collections-card-container .collections-card .collections-details a:hover{
    color: var(--accent-color);

}
/* .collections-section .collections-section-container .collections-card-container .collections-card:hover .image-container img{
    transform: scale(1.1);
    transition: transform 0.3s ease;
} */
/* ===================== media queries ===================== */
@media (max-width: 1100px) {
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details{
        padding-bottom: 1rem;
        gap: 10px;
    
    }
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details p,
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details a{
        font-size: var(--tertiary-font-size);
    
    }
}
@media (max-width: 800px) {
    .collections-section{
        /* margin: 3rem 2rem; */
    }
    .collections-section .collections-section-container h2{
        font-size: var(--heading-size-small);
    }
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details{
        padding: 2rem;
    
    }
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details h5{
        font-size: var(--heading-size-smaller);
    
    }
}
@media (max-width: 700px) {
    .collections-section .collections-section-container .collections-card-container .collections-card{
        min-width: 100%;
    }
    .collections-section .collections-section-container .collections-card-container .collections-card .image-container{
        aspect-ratio: 5/6;
    }
}
@media (max-width: 450px) {
    .collections-section .collections-section-container .collections-card-container .collections-card .collections-details p.short-desc{
        /* display: none; */
    }
}
